Subject: how to import WG meeting notes from notes.ietf.org Re: [Tools-discuss] Novice burned by minutes upload/publishing procedure

From: Toerless Eckert <[email-masked]>
Date: Thu, 31 Mar 2022 18:48:03 +0200

Thanks Robert,

Workaround procedure first creating notes-00.txt to then have the button worked great.
Cc'ong wgchairs in case other WG chairs are not aware of this option (as it's
kinda trying to hide itself due to the bug ;-)

Cheers
    Toerless

On Tue, Mar 29, 2022 at 11:35:07AM -0500, Robert Sparks wrote:
> 
> On 3/29/22 11:23 AM, Toerless Eckert wrote:
> > Thanks, Robert
> > 
> > Is there a simple workaround, such as crafting the appropriate URL for
> > the import button for a particular WG ? Or is it one of those URL-free
> > buttons from Javascript ?
> 
> You can craft the URL, but until the fixes go in for this, the safer thing
> to do is upload a simple -00 minutes in text or markdown format that simply
> says "preparing to import minutes from notes", and then import using the
> button.
> 
> Note, however, that at the moment, the notes service is 500ing, and the
> secretariat is working on a fix. Be sure you can _see_ the notes you want to
> import before trying to do so.
> 
> RjS
> 
> > 
> > Cheers
> >      Toerless
> > 
> > On Tue, Mar 29, 2022 at 11:10:11AM -0500, Robert Sparks wrote:
> > > On 3/29/22 10:21 AM, Robert Sparks wrote:
> > > > On 3/29/22 10:00 AM, David R. Oran wrote:
> > > > > On 29 Mar 2022, at 10:49, Andrew G. Malis wrote:
> > > > > 
> > > > > > Carsten,
> > > > > > 
> > > > > > Where is the import button? If I go to the meetings materials
> > > > > > page for my
> > > > > > WG, I see an "Upload Minutes" button, but not an import button.
> > > > > > 
> > > > > Ah, so maybe we have a trouble ticket here…
> > > > > I had the same problem - no button until you have already done an
> > > > > upload, and then if you try to import, it complains of a duplicate,
> > > > > and then you can’t delete the previously uploaded version.
> > > > Yes, this was identified late last week - I _thought_ an issue had been
> > > > created for it, but I'm not finding it right now (digging through the
> > > > post-meeting maelstrom). I'll dig a bit more, and will report the issue
> > > > number soon.
> > > https://github.com/ietf-tools/datatracker/issues/3762
> > > > > > Thanks,
> > > > > > Andy
> > > > > > 
> > > > > > 
> > > > > > On Mon, Mar 28, 2022 at 11:55 AM Carsten Bormann <[email-masked]> wrote:
> > > > > > 
> > > > > > > On 2022-03-28, at 17:26, David R. Oran <[email-masked]> wrote:
> > > > > > > > So, we’ve got minutes uploaded, but not really readable.
> > > > > > > Hi Dave,
> > > > > > > 
> > > > > > > I have no idea why the “Import…” button wasn’t there, but
> > > > > > > you can fix your
> > > > > > > markdown using the “de-gfm” tool that is part of kramdown-rfc.
> > > > > > > Just run the markdown you downloaded from hedgedoc through de-gfm and
> > > > > > > upload that.
> > > > > > > 
> > > > > > > (Datatracker can do that, but IIRC only does this if you use
> > > > > > > the import
> > > > > > > button.)
> > > > > > > 
> > > > > > > Grüße, Carsten
> > > > > > > 
> > > > > > > ___________________________________________________________
> > > > > > > Tools-discuss mailing list - [email-masked]
> > > > > > > This list is for discussion, not for action requests or bug reports.
> > > > > > > * Report datatracker and mailarchive bugs to:
> > > > > > > [email-masked]
> > > > > > > * Report tools.ietf.org bugs to: [email-masked]
> > > > > > > * Report all other bugs or issues to: [email-masked]
> > > > > > > List info (including how to Unsubscribe):
> > > > > > > https://www.ietf.org/mailman/listinfo/tools-discuss
> > > > > > > 
> > > > > DaveO
> > > > > 
> > > > > ___________________________________________________________
> > > > > Tools-discuss mailing list - [email-masked]
> > > > > This list is for discussion, not for action requests or bug reports.
> > > > > * Report datatracker and mailarchive bugs to:
> > > > > [email-masked]
> > > > > * Report tools.ietf.org bugs to: [email-masked]
> > > > > * Report all other bugs or issues to: [email-masked]
> > > > > List info (including how to Unsubscribe):
> > > > > https://www.ietf.org/mailman/listinfo/tools-discuss
> > > > ___________________________________________________________
> > > > Tools-discuss mailing list - [email-masked]
> > > > This list is for discussion, not for action requests or bug reports.
> > > > * Report datatracker and mailarchive bugs to:
> > > > [email-masked]
> > > > * Report tools.ietf.org bugs to: [email-masked]
> > > > * Report all other bugs or issues to: [email-masked]
> > > > List info (including how to Unsubscribe):
> > > > https://www.ietf.org/mailman/listinfo/tools-discuss
> > > ___________________________________________________________
> > > Tools-discuss mailing list - [email-masked]
> > > This list is for discussion, not for action requests or bug reports.
> > > * Report datatracker and mailarchive bugs to: [email-masked]
> > > * Report tools.ietf.org bugs to: [email-masked]
> > > * Report all other bugs or issues to: [email-masked]
> > > List info (including how to Unsubscribe): https://www.ietf.org/mailman/listinfo/tools-discuss

-- 
---
[email-masked]